cURL
curl --request POST \
--url https://api.opus.pro/api/collections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"collectionName": "Opus demo clips"
}
'import requests
url = "https://api.opus.pro/api/collections"
payload = { "collectionName": "Opus demo clips" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({collectionName: 'Opus demo clips'})
};
fetch('https://api.opus.pro/api/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"collectionId": "xmAwhhFi0IJt",
"collectionName": "Opus demo clips",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"errorName": "QuotaExceed",
"errorMessage": "<string>"
}Collections
Create a Collection
You can create collections to organize your clips by making a POST request to https://api.opus.pro/api/collections
POST
/
api
/
collections
cURL
Related Schemas
Collection Schema
Reference the underlying collection object returned by collection APIs.
Create Collection Response
View the full response schema for creating a collection.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The name of the collection that you want to create.
Example:
"Opus demo clips"
Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I